<script context="module" lang="ts">
  import type { Meta } from "@storybook/svelte";

  import Page from "./Example.svelte";

  export const meta: Meta = {
    component: Page,
    tags: ["autodocs"],
    title: "Components/Example",
  };
</script>

<script lang="ts">
  import { Story, Template } from "@storybook/addon-svelte-csf";
</script>

<Template let:args>
  <Page {...args} />
</Template>

<Story name="Default" />
<Story
  args={{ '{{' }} title: "hi" {{ '}}' }}
  name="With a custom title"
  parameters={{ '{{' }}
    docs: {
      description: {
        story: "# your story-specific description here",
      },
    },
  {{ '}}' }}
/>
